Search Results for

Show / Hide Table of Contents

# Class PathAnnotation

Sequence of lines to connect points e.g. of a ScatterSeries

##### Inheritance

System.Object
PathAnnotation

##### Implements

IAnnotation

###### Namespace: Terminal.Gui.Graphs

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class PathAnnotation : Object, IAnnotation

### Constructors

#### PathAnnotation()

##### Declaration

    public PathAnnotation()

### Properties

#### BeforeSeries

True to add line before plotting series. Defaults to false

##### Declaration

    public bool BeforeSeries { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### LineColor

Color for the line that connects points

##### Declaration

    public Nullable<Attribute> LineColor { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<Attribute> |

#### LineRune

The symbol that gets drawn along the line, defaults to '.'

##### Declaration

    public Rune LineRune { get; set; }

##### Property Value

Type | Description
--- | ---
System.Rune |

#### Points

Points that should be connected. Lines will be drawn between points in the order they appear in the list

##### Declaration

    public List<PointF> Points { get; set; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.List<PointF> |

### Methods

#### Render(GraphView)

Draws lines connecting each of the Points

##### Declaration

    public void Render(GraphView graph)

##### Parameters

Type | Name | Description
--- | --- | ---
GraphView | graph |

### Implements

IAnnotation